[arch-commits] Commit in perl-template-toolkit/repos (4 files)

Evangelos Foutras foutrelis at nymeria.archlinux.org
Sun May 19 17:12:11 EDT 2013


    Date: Sunday, May 19, 2013 @ 23:12:11
  Author: foutrelis
Revision: 185930

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  perl-template-toolkit/repos/staging-i686/
  perl-template-toolkit/repos/staging-i686/PKGBUILD
    (from rev 185929, perl-template-toolkit/trunk/PKGBUILD)
  perl-template-toolkit/repos/staging-x86_64/
  perl-template-toolkit/repos/staging-x86_64/PKGBUILD
    (from rev 185929, perl-template-toolkit/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   38 ++++++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

Copied: perl-template-toolkit/repos/staging-i686/PKGBUILD (from rev 185929, perl-template-toolkit/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-05-19 21:12:11 UTC (rev 185930)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer:
+# Contributor: Firmicus <francois.archlinux.org>
+# Contributor: Tom Killian <tomk at runbox.com>
+# Contributor: FJ <joostef at gmail.com>
+
+pkgname=perl-template-toolkit
+_realname=Template-Toolkit
+pkgver=2.24
+pkgrel=2
+pkgdesc="Perl template processing system"
+arch=('i686' 'x86_64')
+license=('PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('perl-appconfig' 'perl>=5.10.0')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/A/AB/ABW/${_realname}-$pkgver.tar.gz)
+md5sums=('c25fdab1beebf8818c2e624bc9f9d212')
+
+build() {
+  cd "${srcdir}/${_realname}-$pkgver"
+  # install module in vendor directories.
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+  make
+}
+
+check() {
+  cd "${srcdir}/${_realname}-${pkgver}"
+
+  # Failing test can be ignored as it doesn't indicate a problem in main code
+  # https://rt.cpan.org/Public/Bug/Display.html?id=84778
+  make test || true
+}
+
+package() {
+  cd "${srcdir}/${_realname}-$pkgver"
+  make install DESTDIR="${pkgdir}"
+}

Copied: perl-template-toolkit/repos/staging-x86_64/PKGBUILD (from rev 185929, perl-template-toolkit/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-05-19 21:12:11 UTC (rev 185930)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer:
+# Contributor: Firmicus <francois.archlinux.org>
+# Contributor: Tom Killian <tomk at runbox.com>
+# Contributor: FJ <joostef at gmail.com>
+
+pkgname=perl-template-toolkit
+_realname=Template-Toolkit
+pkgver=2.24
+pkgrel=2
+pkgdesc="Perl template processing system"
+arch=('i686' 'x86_64')
+license=('PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('perl-appconfig' 'perl>=5.10.0')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/A/AB/ABW/${_realname}-$pkgver.tar.gz)
+md5sums=('c25fdab1beebf8818c2e624bc9f9d212')
+
+build() {
+  cd "${srcdir}/${_realname}-$pkgver"
+  # install module in vendor directories.
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+  make
+}
+
+check() {
+  cd "${srcdir}/${_realname}-${pkgver}"
+
+  # Failing test can be ignored as it doesn't indicate a problem in main code
+  # https://rt.cpan.org/Public/Bug/Display.html?id=84778
+  make test || true
+}
+
+package() {
+  cd "${srcdir}/${_realname}-$pkgver"
+  make install DESTDIR="${pkgdir}"
+}



More information about the arch-commits mailing list